/* fast-malloc.h - an implementation of low level memory allocation, et. al. */
/* Copyright (C) 2018 Robin Miyagi https://www.linuxprogramming.ca/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef ____FAST_MALLOC_H____
#define ____FAST_MALLOC_H____

#include <stddef.h>

/*
 * Low level block allocation functions.
 */
extern void* malloc_blk  (size_t size);
extern void  free_blk 	 (void* ptr);
extern void* realloc_blk (void* ptr, size_t size);

#endif	/* ! ____FAST_MALLOC_H____ */
